# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

%define sname PyQtWebEngine
%define qt5_minver 5.15.6

Name:           python-qt5-webengine
Version:        5.15.6
Release:        %mkrel 2
Summary:        Set of Python bindings for The Qt WebEngine library
License:        GPLv3
Group:          Development/Python
URL:            https://www.riverbankcomputing.com/software/pyqtwebengine/
#https://www.riverbankcomputing.com/static/Downloads/PyQtWebEngine/%%{version}/%%{sname}-%%{version}.tar.gz
Source0:        https://pypi.io/packages/source/p/pyqtwebengine/%{sname}-%{version}.tar.xz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-qt5-devel >= %{version}
BuildRequires:  qtbase5-common-devel
BuildRequires:  python3-pyqt-builder
BuildRequires:  python3-sip6

BuildRequires:  pkgconfig(Qt5Core) >= %{qt5_minver}
BuildRequires:  pkgconfig(Qt5Gui) >= %{qt5_minver}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{qt5_minver}
BuildRequires:  pkgconfig(Qt5WebEngine) >= %{qt5_minver}

%description
PyQtWebEngine is a set of Python bindings for The Qt Company's Qt WebEngine
library.
The bindings sit on top of PyQt5 and are implemented as a single module.

#------------------------------------------------------------

### python3-qt5

%define py3_name python3-qt5

%package -n     %{py3_name}-webengine
Summary:        Python 3 bindings for PyQt 5 webengine
Group:          Development/Python
Requires:       %{py3_name}-core >= %{version}

%description -n %{py3_name}-webengine
Python 3 bindings for PyQt 5 webengine.

%files -n %{py3_name}-webengine
%{python3_sitearch}/PyQt5/QtWebEngine.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtWebEngine
%{python3_sitearch}/PyQtWebEngine-%{version}.dist-info

#------------------------------------------------------------

%package -n     %{py3_name}-webenginecore
Summary:        Python 3 bindings for PyQt 5 webenginecore
Group:          Development/Python
Requires:       %{py3_name}-core >= %{version}

%description -n %{py3_name}-webenginecore
Python 3 bindings for PyQt 5 webenginecore.

%files -n %{py3_name}-webenginecore
%{python3_sitearch}/PyQt5/QtWebEngineCore.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtWebEngineCore

#------------------------------------------------------------

%package -n     %{py3_name}-webenginewidgets
Summary:        Python 3 bindings for PyQt 5 webenginewidgets
Group:          Development/Python
Requires:       %{py3_name}-core >= %{version}
Requires:       %{py3_name}-webenginecore = %{version}-%{release}

%description -n %{py3_name}-webenginewidgets
Python 3 bindings for PyQt 5 webenginewidgets.

%files -n %{py3_name}-webenginewidgets
%{python3_sitearch}/PyQt5/QtWebEngineWidgets.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtWebEngineWidgets

#------------------------------------------------------------

%package -n    %{py3_name}-webengine-qsci-api
Summary:       Python 3 bindings for PyQt 5 webengine Qscintilla API
Group:         Development/Python

%description -n %{py3_name}-webengine-qsci-api
Python 3 bindings for PyQt 5 webengine Qscintilla API.

%files -n %{py3_name}-webengine-qsci-api
%dir %{_qt5_datadir}/qsci/
%dir %{_qt5_datadir}/qsci/api/
%dir %{_qt5_datadir}/qsci/api/python/
%{_qt5_datadir}/qsci/api/python/PyQtWebEngine.api

### END python3-qt5

#------------------------------------------------------------

%prep
%setup -qn %{sname}-%{version}

%build
### Python 3 build:
sip-build \
  --no-make \
  --api-dir=%{_qt5_datadir}/qsci/api/python \
  --verbose

%make_build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)" -C build

%install
### python 3 Install:
%make_install INSTALL_ROOT=%{buildroot} -C build

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt5/*.so ; do
test -x $i  || chmod a+rx $i
done

%changelog
* Mon Oct 10 2022 tex - 5.15.6-2pclos2022
- fix rpm group

* Sun Aug 21 2022 TerryN <terryn94 at gmail.com> 1.8.0-6pclos2022
- import for python 3.10
